Bug 800784

Summary: [abrt] Unlocalized strings in 'Event Configuration' window.
Product: [Fedora] Fedora Reporter: Lijun Li <lijli>
Component: abrtAssignee: abrt <abrt-devel-list>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: high    
Version: 17CC: abrt-devel-list, dvlasenk, iprikryl, jmoskovc, kklic, kraymond, mmilata, mtoman, noriko, npajkovs
Target Milestone: ---Keywords: Desktop, Translation
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-29 20:59:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 756771    
Attachments:
Description Flags
[abrt] Unlocalized strings in 'Event Configuration' window none

Description Lijun Li 2012-03-07 04:00:11 EST
Description of problem:
Unlocalized strings 'Event Configuration, Event, Configure Event' in 'Event Configuration' window

Version-Release number of selected component (if applicable):
abrt-gui-2.0.7-4.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install Fedora-17-Nightly-20120305.08-x86_64-Live-desktop.iso from 
http://alt.fedoraproject.org/pub/alt/nightly-composes/
2. Run command abrt-gui.
3. Click Edit -> Preferences menu.

Actual results:
Unlocalized strings 'Event Configuration, Event, Configure Event' in 'Event Configuration' window.

Expected results:
All the strings should be localized in 'Event Configuration' window.

Additional info:
Comment 1 Lijun Li 2012-03-07 04:02:01 EST
Created attachment 568198 [details]
[abrt] Unlocalized strings in 'Event Configuration' window
Comment 2 Noriko Mizumoto 2012-04-02 20:56:59 EDT
Updated the packages to abrt-2.0.10-1.fc17, libreport-2.0.10-2.fc17 (fix for #808131).
The reported strings above still appear in English.

'Even Configuration' and 'Event'
These have been localized in transifex as part of libreport.
https://www.transifex.net/projects/p/libreport/

'Configure Event' and 'Show all problems'
This string can not be found in either of abrt or libreport in transifex. It may need to be marked as translatable when generating POT.
Comment 3 Noriko Mizumoto 2012-04-25 21:56:30 EDT
Yum updated with: abrt-2.0.10-1.fc17.x86_64 and libreport-2.0.10-2.fc17.x86_64
The problem reported still exists.
Comment 4 Lijun Li 2012-07-09 04:04:10 EDT
Verified on abrt-2.0.10-4.fc17.x86_64 and libreport-2.0.10-3.fc17.x86_64.
The problem reported still exists.
Strings stille not localized: "Show all problems, Event Configuration, Event, Configure Event".
Comment 5 Jiri Moskovcak 2012-08-13 07:48:56 EDT
commit b4705ce6a7855086e03e97d4d3dd5fc3f4d7feff
Author: Jiri Moskovcak <jmoskovc@redhat.com>
Date:   Mon Aug 13 13:38:09 2012 +0200

    updated po files

commit 2d0bb5705e738e8efb86f4feb3d45ff581d90b02
Author: Jiri Moskovcak <jmoskovc@redhat.com>
Date:   Mon Aug 13 13:48:28 2012 +0200

    updated po files rhzb#800784
Comment 6 Fedora Update System 2012-08-22 15:29:33 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.12-1.fc17,libreport-2.0.13-1.fc17,btparser-0.18-2.fc17
Comment 7 Fedora Update System 2012-08-23 19:30:22 EDT
Package abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.12-1.fc17 libreport-2.0.13-1.fc17 btparser-0.18-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.12-1.fc17,libreport-2.0.13-1.fc17,btparser-0.18-2.fc17
then log in and leave karma (feedback).
Comment 8 Lijun Li 2012-08-27 02:22:36 EDT
Updated the packages to abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17, but still not fxied the bug.
Strings stille not localized: "Problem, Open problem data, Show all problems, Event Configuration, Event, Configure Event".
Comment 9 Fedora Update System 2012-08-29 20:59:12 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-2.fc17, btparser-0.18-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.